
#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(false);

    long long n, k;
    cin >> n >> k;
    vector<long long> a(n), b(n, 0), c(n, 0), d(n, 0);
    for(long long i=0; i<=n-1; i++){
        cin >> a[i];
    }
    for(long long i=1; i<=n-1; i++){
        for(long long k=0; k<i; k++){
                b[i]|=a[k];
        }
        for(long long k=i; k<n; k++){
                c[i]|=a[k];
        }
        d[i]= b[i]&c[i];
    }
    cout << *max_element(d.begin(), d.end());


}